delete_vertices {igraph} | R Documentation

## Delete vertices from a graph

### Description

Delete vertices from a graph

### Usage

    delete_vertices(graph, v)

### Arguments

`graph` | The input graph.
`v` | The vertices to remove, a vertex sequence.

### Value

The graph, with the vertices removed.

### See Also

Other functions for manipulating graph structure: `+.igraph`, `add_edges`, `add_vertices`, `delete_edges`, `edge`, `igraph-minus`, `path`, `vertex`

### Examples

    g <- make_ring(10) %>%
      set_vertex_attr("name", value = LETTERS[1:10])
    g
    V(g)

    g2 <- delete_vertices(g, c(1,5)) %>%
      delete_vertices("B")
    g2
    V(g2)

[Package igraph version 1.1.2 Index]